# utils.lora

`utils.lora`

module to get the state dict of a merged lora model

## Functions

Name | Description
--- | ---
get_lora_merged_state_dict | Create and return a state_dict that has the LoRA deltas

### get_lora_merged_state_dict

    utils.lora.get_lora_merged_state_dict(model)

Create and return a state_dict that has the LoRA deltas merged into the base model’s weights, without modifying `model` in place.

#### Parameters

Name | Type | Description | Default
--- | --- | --- | ---
model | torch.nn.Module | A model that has LoRA/PEFT adapters attached. | required

#### Returns

Name | Type | Description
--- | --- | ---
dict | dict | A state_dict of the merged parameters.